package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 测评选专业对象 sy_test_select_major
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyTestSelectMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 选择id */
    private Long id;

    /** 测试学生id */
    @Excel(name = "测试学生id")
    private Long userId;

    /** 用户编码 */
    @Excel(name = "用户编码")
    private String customerCode;

    /** 三级专业代码 */
    @Excel(name = "三级专业代码")
    private String majorCode;

    /** 三级专业名称 */
    @Excel(name = "三级专业名称")
    private String majorName;

    /** 专类类编码 */
    @Excel(name = "专类类编码")
    private String majorCategoryCode;

    /** 专类类名称 */
    @Excel(name = "专类类名称")
    private String majorCategoryName;

    /** 1 有效 0 无效 */
    @Excel(name = "1 有效 0 无效")
    private Long state;

    /** 次序 */
    @Excel(name = "次序")
    private Long ranking;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setCustomerCode(String customerCode) 
    {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() 
    {
        return customerCode;
    }
    public void setMajorCode(String majorCode) 
    {
        this.majorCode = majorCode;
    }

    public String getMajorCode() 
    {
        return majorCode;
    }
    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getMajorName() {
        return majorName;
    }
    public void setMajorCategoryCode(String majorCategoryCode) {
        this.majorCategoryCode = majorCategoryCode;
    }

    public String getMajorCategoryCode() {
        return majorCategoryCode;
    }
    public void setMajorCategoryName(String majorCategoryName) {
        this.majorCategoryName = majorCategoryName;
    }

    public String getMajorCategoryName() {
        return majorCategoryName;
    }
    public void setState(Long state)
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setRanking(Long ranking) 
    {
        this.ranking = ranking;
    }

    public Long getRanking() 
    {
        return ranking;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("customerCode", getCustomerCode())
            .append("majorCode", getMajorCode())
            .append("state", getState())
            .append("ranking", getRanking())
            .append("createTime", getCreateTime())
            .toString();
    }
}
